# scaleway_ip – Scaleway IP management module

New in version 2.8.

- Synopsis

- Parameters

- Notes

- Examples

- Return Values

- Status

## Synopsis

- This module manages IP on Scaleway account https://developer.scaleway.com

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
api_timeout integer | Default: 30 | HTTP timeout to Scaleway API in seconds. aliases: timeout
api_token string |  | Scaleway OAuth token. aliases: oauth_token
api_url string | Default: "https://api.scaleway.com" | Scaleway API URL. aliases: base_url
id - |  | id of the Scaleway IP (UUID)
organization - / required |  | Scaleway organization identifier
query_parameters dictionary | Default: {} | List of parameters passed to the query string.

region
- / required

Choices:
- ams1
- EMEA-NL-EVS
- par1
- EMEA-FR-PAR1

Scaleway region to use (for example par1).

reverse - |  | Reverse to assign to the IP
server - |  | id of the server you want to attach an IP to. To unattach an IP don't specify this option

state
-

Choices:
- present ←
- absent

Indicate desired state of the IP.

validate_certs
boolean

Choices:
- no
- yes ←

Validate SSL certs of the Scaleway API.

## Notes

Note

- Also see the API documentation on https://developer.scaleway.com/

- If `api_token` is not set within the module, the following environment variables can be used in decreasing order of precedence `SCW_TOKEN`, `SCW_API_KEY`, `SCW_OAUTH_TOKEN` or `SCW_API_TOKEN`.

- If one wants to use a different `api_url` one can also set the `SCW_API_URL` environment variable.

## Examples

    - name: Create an IP
      scaleway_ip:
        organization: '{{ scw_org }}'
        state: present
        region: par1
      register: ip_creation_task

    - name: Make sure IP deleted
      scaleway_ip:
        id: '{{ ip_creation_task.scaleway_ip.id }}'
        state: absent
        region: par1

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
data dictionary | when `state=present` | This is only present when `state=present` Sample: {'ips': [{'organization': '951df375-e094-4d26-97c1-ba548eeb9c42', 'reverse': None, 'id': 'dd9e8df6-6775-4863-b517-e0b0ee3d7477', 'server': {'id': '3f1568ca-b1a2-4e98-b6f7-31a0588157f1', 'name': 'ansible_tuto-1'}, 'address': '212.47.232.136'}]}

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Remy Leone (@sieben)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.